Bug 234246 - /usr/sbin/groupadd hangs with LDAP+TLS
/usr/sbin/groupadd hangs with LDAP+TLS
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: openldap (Show other bugs)
5.0
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Jan Safranek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-03-27 16:18 EDT by Norman Elton
Modified: 2008-01-15 06:43 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-15 06:43:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Norman Elton 2007-03-27 16:18:28 EDT
Description of problem:

I have a fresh installation of RHEL5. Using authconfig, I've pointed the
installation at our LDAP server, which is running SSL/TLS. Everything gets
configured correctly, I can id/groups a particular user, login, etc.

When I go to install NTP (yum install ntp), the installation hangs. If I install
the RPM manually, with debugging enabled, I see that the process hangs at:

D:   install: %pre(ntp-4.2.0.a.20040617-4.EL4.1.x86_64) execv(/bin/sh) pid 3165
+ /usr/sbin/groupadd -g 38 ntp

If I execute the groupadd command by hand, it works fine. Inside the RPM
installation; however, it's hanging. In /var/log/secure, I see...

groupadd[3166]: nss_ldap: reconnecting to LDAP server (sleeping 4 seconds)...
rheltest groupadd[3166]: nss_ldap: reconnecting to LDAP server (sleeping 8
seconds)...

If I disable TLS and use straight LDAP, everything works as expected.

Any ideas?


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Jan Safranek 2007-05-29 04:58:43 EDT
I am not able to reproduce this bug on my RHEL5 box. Could you please provide me
your ldap and nss configuration? Namely: /etc/ldap.conf, /etc/nsswitch.conf and
/etc/openldap/* (without your TLS certificates/keys, of course).

I am also a bit confused why your yum tries to install RHEL4 package
(ntp-4.2.0.a.20040617-4.EL4.1.x86_64) instead of the RHEL5 one
(ntp-4.2.2p1-5.el5). And you filled your HW is i686, but yum installs x86_64
package... Could you please double check your yum configuration or the bug
report header?
Comment 2 Jan Safranek 2008-01-15 06:43:39 EST
Closing due to reporter inactivity. Feel free to reopen the bug if you are able
to reproduce it and provide the required information.

Note You need to log in before you can comment on or make changes to this bug.